
.header{
	position: fixed;
	height: 100vh;
	width: 254px;
    z-index: 999;
	background-color: $blue;
	@include xmd-block() {
		width: 100%;
		height: auto;
		position: relative;
		display: flex;
		justify-content: space-between;
		align-items: center;
		padding: 10px;
	}
	&-logo{
		padding: 30px 60px;
		@include xmd-block() {
			max-width: 100px;
			padding: 0 10px;
		}

		img {
			width: 130px;
			@include xmd-block() {
			}
		}
	}
	&-menu {
		@include xmd-block() {

		}
		.navbar-toggler {
			position: relative;
			background: transparent;
			border: none;
			display: none;
			padding: 0;
			@include xmd-block() {
				display: block;
				&-icon {
					top: 0;
					right: 0;
					left: 0;
					width: 30px;
					height: 21px;
					display: block;
					position: relative;
					.toggle:before, .toggle:after {
						content: "";
						background: $white;
						transition: all .2s ease-in-out;
						height: 1px;
						width: 30px;
						position: absolute;
						left: 0;
						right: 0;
					}
					& .toggle {
						background: $white;
						transition: all .2s ease-in-out;
						height: 1px;
						width: 30px;
						position: absolute;
						left: 0;
						right: 0;
						top: 50%;
						bottom: 0;
						margin: 0;
						border: none;
						&:before {
							top: 10px;
							transform: rotate(0deg);
						}
						&:after {
							top: -10px;
							transform: rotate(0deg);
						}
					}
				}
			}
		}
		&.active{
			& .toggle {
				background: transparent;
				&:before {
					top: 0;
					transform: rotate(45deg);
				}
				&:after {
					top: 10px;
					transform: translateY(-10px) rotate(-45deg);
				}
			}
			& .nav {
				display: block;
				position: absolute;
			}
		}
		.nav{
			@include xmd-block() {
				display: none;
				transition: .6s;
				left: 0;
				right: 0;
				top: 100%;
				background: $blue;
			}
		}
		li {
			a {
				font-weight: bold;
				color: #fff;
				padding: 10px 30px;
				width: 100%;
				border-top: 1px solid $light-blue;
			}

			&:hover:not(.active) {
				a {
					color: $light-blue;
				}
			}

			&.active {
				pointer-events: none;

				a {
					font-weight: 600;
				}
			}
		}
	}
	&-bottom {
		position: absolute;
		bottom: 0px;
		@include xmd-block() {
			display: none;
		}
		& li {
			padding: 12px 30px;
			width: 100%;
			border-top: 1px solid $light-blue;
			& p, & a {
				font-weight: 300;
				font-size: 13px;
				color: #fff;
				
			}
		}
		
	}
}